package com.hzya.frame.mdm.entity;


import com.hzya.frame.mdm.mdmModuleDb.entity.MdmModuleDbEntity;

import java.util.List;

public class MdmDataDto {

    private String mdmId;
    private String id;
    private String tableName;
    private String documentRule;
    private Integer documentRuleNum;
    /**
     * 类型 1、主表 2、明细
     */
    private String dbType;

    private List<MdmDataFiledDto> mdmDataFiledDtos;

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getTableName() {
        return tableName;
    }

    public void setTableName(String tableName) {
        this.tableName = tableName;
    }

    public List<MdmDataFiledDto> getMdmDataFiledDtos() {
        return mdmDataFiledDtos;
    }

    public void setMdmDataFiledDtos(List<MdmDataFiledDto> mdmDataFiledDtos) {
        this.mdmDataFiledDtos = mdmDataFiledDtos;
    }

    public String getDocumentRule() {
        return documentRule;
    }

    public void setDocumentRule(String documentRule) {
        this.documentRule = documentRule;
    }

    public Integer getDocumentRuleNum() {
        return documentRuleNum;
    }

    public void setDocumentRuleNum(Integer documentRuleNum) {
        this.documentRuleNum = documentRuleNum;
    }

    public String getDbType() {
        return dbType;
    }

    public void setDbType(String dbType) {
        this.dbType = dbType;
    }

    public String getMdmId() {
        return mdmId;
    }

    public void setMdmId(String mdmId) {
        this.mdmId = mdmId;
    }
}

